<?php
//Activamos el almacenamiento en el buffer
ob_start();
session_start();
if (!isset($_SESSION["nombre"]))
{
  header("Location: login.html");
}
else
{
require 'header.php';

if ($_SESSION['Escritorio']==1)
{
?>

     <?php
          require_once 'ControladorPrestamo.php';
          $cPrestamo = new ControladorPrestamo();
          $p = array();
          $p = $cPrestamo->obtenerPorId($_GET['id_prestamo']);

          $id_prestamo = $_GET['id_prestamo'].'</h5>';
          $dui = $p[0]->cliente->dui.'</h5>';
          $nombres = $p[0]->cliente->nombres.'</h5>';
          $apellidos = $p[0]->cliente->apellidos . '</h5>';
          $monto = 'S/ ' . $p[0]->monto.'</h5>';
          $tasa = $p[0]->tasa_interes.'% </h5>';
          $capitalizacion = $p[0]->capitalizacion;
         ?>
    <!-- Inicio Contenido PHP-->
  <div class="row">
        <div class="col-lg-12">
            <div class="main-box clearfix">
                <header class="main-box-header clearfix">
                    <button   onClick="javascript:window.history.back();" type="button"  class="btn btn-primary">Atras</button>
                </header>
                <div class="row">

 
 

        <div class="col-sm-12">
          <div class="container" id="panelInfo">
            <div class="row"style="background: aquamarine">
              <div class="col-md-6">
               <h4 id="titulo1"> <b>DATOS DEL CLIENTE</b></h4>
                      <h5 id="Clientedui2">DNI: <?php echo $dui; ?>
                      <h5 id="Clientenombres">Nombres: <?php echo $nombres;  ?>
                      <h5 id="Clienteapellidos">Apellidos: <?php echo $apellidos; ?>
              </div>
              <div class="col-md-6">
                <h4 id="titulo2"><b>DATOS DEL PRESTAMO</b></h4>
                      <h5 id="PrestamoId">N° de prestamo: <?php echo $id_prestamo; ?>
                      <h5 id="montoTotal">Monto Total: <?php echo $monto; ?>
                      <h5 id="tasa">Tasa de interes: <?php echo $tasa; ?>
                      <h5 id="Capitalizacion">Capitalización:
                       <?php 

                      if ($capitalizacion == 'M') {
                        echo "Mensual </h5>";
                      } 
                      elseif ($capitalizacion == 'Q') {
                        echo "Quincenal </h5>";
                      }
                      elseif ($capitalizacion == 'S'){
                        echo "Semanal </h5>";
                      }
                      else  {
                        echo "Diaria </h5>";
                      }
                        ?>
                          
                        </h5>
              </div>
            </div>
          </div>
          <table class="table table-condensed" id="resultadoBusqueda">
            <thead>
                <tr>
                <th>N°</th>
                <th>Monto</th>
                <th>Capital</th>
                <th>Interés</th>
                <th>Mora</th>
                <th>Saldo anterior</th>
                <th>Saldo actualizado</th>
                <th>Fecha</th>
                </tr>
            </thead>
            <tbody>
            <?php
                $Cuotas = $p[0]->cuotas;
                $numCuotas = count($p[0]->cuotas);
                for ($i = 0; $i < $numCuotas; $i++) {
                  echo "<tr>";
                  echo "<td>" . $Cuotas[$i]->num_cuota . "</td>";
                  echo '<td>S/ ' . $Cuotas[$i]->valor . '</td>';
                  echo '<td>S/ ' . $Cuotas[$i]->capital . '</td>';
                  echo '<td>S/ ' . $Cuotas[$i]->interes . '</td>';
                  echo '<td>S/ ' . $Cuotas[$i]->mora . '</td>';
                  echo '<td>S/ ' . $Cuotas[$i]->saldo_anterior.'</td>';
                  echo '<td>S/ ' . $Cuotas[$i]->saldo_actualizado . '</td>';
                  echo '<td>' . $Cuotas[$i]->fecha . '</td>';
                }
            ?>
            </tbody>
        </table>
        </div>
      </div>
    </div>
 









       
                </div>
                <div class="main-box-body clearfix" >
                </div>
                
            </div>
      
    <!-- Fin Contenido PHP-->
    <?php
}
else
{
 require 'noacceso.php';
}

require 'footer.php';
?>
        
<?php 
}
ob_end_flush();
?>

 